# avoid dependency on X11 libraries
%define without_x	1

Summary:	A user-friendly file manager and visual shell
Name:		mc
Version:	4.8.29
Release:	%mkrel 1
License:	GPLv2+
Group:		File tools
URL:		https://www.midnight-commander.org/
Source0:	http://ftp.midnight-commander.org/%{name}-%{version}.tar.xz
Source1:	mc-bashrc
Patch0:		mc-4.8.23-decent_defaults.patch
Patch2:		mc-4.8.7-use_okular_for_pdf_files.diff
# Patch by Derek Jennings to fix mga#1304 by spawning subshell with IGNOREBOTH
Patch3:		mc-4.8.16-mga-subshell.patch
Patch4:		mc-python3.patch
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	libgpm-devel >= 0.18
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(slang)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	bison
BuildRequires:	doxygen
BuildRequires:	pkgconfig(libssh2) >= 1.2.5
%if ! %{without_x}
BuildRequires:	X11-devel
%endif
BuildRequires:	gettext-devel

Requires:	groff
Requires:	python3-boto

%description
Midnight Commander is a visual shell much like a file manager, only with way
more features.  It is text mode, but also includes mouse support if you are
running GPM.  Its coolest feature is the ability to ftp, view tar, zip
files, and poke into RPMs for specific files.

%prep
%autosetup -p1

sed -i 's:|hxx|:|hh|hpp|hxx|:' misc/syntax/Syntax.in

#fix mc-wrapper.sh
perl -p -i -e 's/rm -f \"/rm -rf \"/g' contrib/mc-wrapper.sh.in

%build
export X11_WWW="www-browser"
export CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -Wno-strict-aliasing"

autoreconf -fi
%configure \
    PYTHON=%{__python3} \
    --with-debug \
    --enable-dependency-tracking \
    --without-included-gettext \
    --without-included-slang \
    --with-screen=slang \
    --with-search-engine=glib \
    --enable-nls \
    --enable-charset \
    --enable-largefile \
    --disable-rpath \
    --with-mcfs \
    --enable-vfs-smb \
    --enable-vfs-sftp \
    --enable-vfs-mcfs \
    --enable-extcharset \
    --with-mmap \
%if %{without_x}
    --without-x
%endif

%make_build

%install
%make_install

install -m644 contrib/mc.sh -D %{buildroot}%{_sysconfdir}/profile.d/20mc.sh
install -m644 contrib/mc.csh -D %{buildroot}%{_sysconfdir}/profile.d/20mc.csh
install -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/mc/mc-bashrc

%{find_lang} %{name}

%files -f %{name}.lang
%doc NEWS README
%dir %{_libexecdir}/mc
%dir %{_libexecdir}/mc/extfs.d
%dir %{_libexecdir}/mc/ext.d
%dir %{_libexecdir}/mc/fish
%dir %{_datadir}/mc
%dir %{_datadir}/mc/skins
%dir %{_datadir}/mc/syntax
%dir %{_datadir}/mc/hints
%dir %{_datadir}/mc/help
%dir %{_datadir}/mc/examples
%dir %{_datadir}/mc/examples/macros.d
%{_sysconfdir}/profile.d/*
%{_sysconfdir}/mc/
%{_bindir}/mc
%{_bindir}/mcdiff
%{_bindir}/mcedit
%{_bindir}/mcview
%{_libexecdir}/mc/cons.saver
%{_libexecdir}/mc/mc*.*sh
%{_libexecdir}/mc/extfs.d/*
%{_libexecdir}/mc/ext.d/*
%{_libexecdir}/mc/fish/*
%{_datadir}/mc/mc.charsets
%{_datadir}/mc/mc.lib
%{_datadir}/mc/help/*
%{_datadir}/mc/hints/*
%{_datadir}/mc/skins/*
%{_datadir}/mc/syntax/*
%{_datadir}/mc/examples/macros.d/*
%{_mandir}/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(ru) %{_mandir}/ru/man1/*
%lang(sr) %{_mandir}/sr/man1/*


%changelog
* Sun Jan 15 2023 kekepower <kekepower> 4.8.29-1.mga9
+ Revision: 1933203
- Update to version 4.8.29

* Sun Mar 27 2022 umeabot <umeabot> 4.8.28-2.mga9
+ Revision: 1829264
- Mageia 9 Mass Rebuild

* Sun Mar 27 2022 kekepower <kekepower> 4.8.28-1.mga9
+ Revision: 1829213
- Update to version 4.8.28

* Mon Aug 16 2021 kekepower <kekepower> 4.8.27-1.mga9
+ Revision: 1741550
- Update to version 4.8.27

* Fri Jan 22 2021 kekepower <kekepower> 4.8.26-1.mga8
+ Revision: 1672848
- Update to version 4.8.26

* Mon Jul 20 2020 luigiwalser <luigiwalser> 4.8.25-1.mga8
+ Revision: 1607514
- 4.8.25
- remove upstream patch 5

* Wed Feb 19 2020 daviddavid <daviddavid> 4.8.24-2.mga8
+ Revision: 1544032
- add upstream patch to fix FTBFS with glib2 >= 2.63.3
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Thu Jan 23 2020 daviddavid <daviddavid> 4.8.24-1.mga8
+ Revision: 1482448
- switch to python3
- new version: 4.8.24
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Jun 30 2019 daviddavid <daviddavid> 4.8.23-1.mga8
+ Revision: 1416394
- new version: 4.8.23

* Tue Jan 01 2019 kekepower <kekepower> 4.8.22-1.mga7
+ Revision: 1348271
- Update to version 4.8.22

* Sun Sep 23 2018 umeabot <umeabot> 4.8.21-2.mga7
+ Revision: 1299495
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 kekepower <kekepower> 4.8.21-1.mga7
+ Revision: 1234346
- Update to version 4.8.21

* Sat Jan 06 2018 daviddavid <daviddavid> 4.8.20-1.mga7
+ Revision: 1190657
- new version: 4.8.20

* Wed Aug 30 2017 daviddavid <daviddavid> 4.8.19-2.mga7
+ Revision: 1148563
- honor user CFLAGS thus fixing empty debugsourcefiles.list

* Mon Mar 06 2017 luigiwalser <luigiwalser> 4.8.19-1.mga6
+ Revision: 1088912
- 4.8.19
- rediff patch 0

* Fri Oct 14 2016 daviddavid <daviddavid> 4.8.18-1.mga6
+ Revision: 1060753
- new version: 4.8.18

* Sun May 08 2016 daviddavid <daviddavid> 4.8.17-1.mga6
+ Revision: 1011020
- new version: 4.8.17

* Sun Mar 13 2016 daviddavid <daviddavid> 4.8.16-1.mga6
+ Revision: 990192
- new version: 4.8.16
- rename and redo Patch3 for new change on 4.8.16 release (subshell patch)

* Fri Feb 05 2016 tv <tv> 4.8.15-2.mga6
+ Revision: 937941
- rebuild against openssl instead of libressl

* Sat Dec 05 2015 daviddavid <daviddavid> 4.8.15-1.mga6
+ Revision: 908257
- new version: 4.8.15
- update Source URL

* Thu Aug 13 2015 daviddavid <daviddavid> 4.8.14-1.mga6
+ Revision: 864178
- new version: 4.8.14
- fix warning: File listed twice: /etc/mc/mc-bashrc

* Wed Oct 15 2014 umeabot <umeabot> 4.8.13-4.mga5
+ Revision: 744352
- Second Mageia 5 Mass Rebuild

* Wed Oct 08 2014 shlomif <shlomif> 4.8.13-3.mga5
+ Revision: 737532
- Apply patch to mc-bashrc to read ~/.bashrc (mga#11015)

* Tue Sep 16 2014 umeabot <umeabot> 4.8.13-2.mga5
+ Revision: 682310
- Mageia 5 Mass Rebuild

* Fri Sep 05 2014 luigiwalser <luigiwalser> 4.8.13-1.mga5
+ Revision: 672323
- 4.8.13

* Tue Apr 01 2014 luigiwalser <luigiwalser> 4.8.12-1.mga5
+ Revision: 611152
- 4.8.12
- remove upstreamed portion of patch 0

* Wed Dec 11 2013 luigiwalser <luigiwalser> 4.8.11-1.mga4
+ Revision: 556375
- 4.8.11

* Sat Oct 19 2013 umeabot <umeabot> 4.8.10-2.mga4
+ Revision: 531274
- Mageia 4 Mass Rebuild

* Sat Aug 03 2013 fwang <fwang> 4.8.10-1.mga4
+ Revision: 462801
- new version 4.8.10

* Mon Jul 15 2013 fwang <fwang> 4.8.9-1.mga4
+ Revision: 454565
- new version 4.8.9

* Sun Jun 16 2013 malo <malo> 4.8.8-2.mga4
+ Revision: 443627
- add patch by Derek Jennings to spawn subshell with IGNOREBOTH (mga#1304)

* Sun May 26 2013 blino <blino> 4.8.8-1.mga4
+ Revision: 428287
- 4.8.8

* Sat Jan 12 2013 umeabot <umeabot> 4.8.7-2.mga3
+ Revision: 359829
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 luigiwalser <luigiwalser> 4.8.7-1.mga3
+ Revision: 339034
- fix for changed libexecdir
- 4.8.7
- remove upstreamed CVE patch1
- rewrite patch2
- correct filename in sed command

* Fri Dec 21 2012 oden <oden> 4.8.6-1.mga3
+ Revision: 333645
- 4.8.6
- remove patches not cared for
- rediff some patches
- various cleanups
- sync a little with fedora

* Fri Dec 07 2012 luigiwalser <luigiwalser> 4.8.4-3.mga3
+ Revision: 327897
- add patch from fedora to fix CVE-2012-4463

* Fri Jul 20 2012 fwang <fwang> 4.8.4-2.mga3
+ Revision: 272753
- bre libssh

* Fri Jul 20 2012 fwang <fwang> 4.8.4-1.mga3
+ Revision: 272748
- update file list
- new version 4.8.4

* Tue May 29 2012 ovitters <ovitters> 4.8.3-1.mga3
+ Revision: 249240
- new version 4.8.3

* Wed Feb 15 2012 ovitters <ovitters> 4.8.1-2.mga2
+ Revision: 209249
- clean spec

* Fri Dec 16 2011 shlomif <shlomif> 4.8.1-1.mga2
+ Revision: 182599
- New version: 4.8.1 thanks to neocrust.

* Fri Dec 16 2011 fwang <fwang> 4.7.5.6-1.mga2
+ Revision: 182351
- new version 4.7.5.6

* Thu Sep 29 2011 fwang <fwang> 4.7.5.5-1.mga2
+ Revision: 150115
- new version 4.7.55

* Mon Sep 12 2011 fwang <fwang> 4.7.5.4-1.mga2
+ Revision: 142737
- new version 4.7.5.4
- new version 4.7.5.3

* Sun May 15 2011 pterjan <pterjan> 4.7.5.2-2.mga1
+ Revision: 99021
- Rebuild for fixed find-requires

* Sat Apr 16 2011 pterjan <pterjan> 4.7.5.2-1.mga1
+ Revision: 86183
- Update to 4.7.5.2

* Sun Jan 09 2011 kharec <kharec> 4.7.5-1.mga1
+ Revision: 2031
- imported package mc

